import { Meta } from '@storybook/addon-docs/blocks'

<Meta title='@dxtmisha/en/figma-ref/Composables/useFigmaUiFrames - Observing top-level frames'/>

# `useFigmaUiFrames`

A composable for retrieving and observing the list of top-level frames and sections from the current Figma page. It uses global caching to ensure data consistency across multiple component instances.

**Returns:**
- `frames: ComputedRef<UiFigmaFramesList>` — A computed reference to the list of top-level frames (names, IDs, and screenshots).
- `loading: ComputedRef<boolean>` — A reactive flag indicating if the frame list is being fetched.

## Usage Example

```typescript
import { useFigmaUiFrames } from '@dxtmisha/figma-ref'

const { frames, loading } = useFigmaUiFrames()

// 'frames' contains a list of frame objects with visual previews
```
